DOWNLOAD_GENERATE_BBERG_REF_FILES(1)

NAME
download_generate_bberg_ref_files.pl - Download and create the required battenberg reference files.

SYNOPSIS
download_generate_bberg_ref_files.pl [options]

    Required parameters:
      -out-dir                  -o  Directory to output files to (see docs for structure)

    Optional parameters:
      -url                      -u  URL to download battenberg impute reference data from [see docs for default url]
      -use-curl                 -c  Use curl for the download
      -download-version         -d  Download version (part of download name) default: [v3]

    Other:
      -help     -h   Brief help message.
      -man      -m   Full documentation.
      -version  -v   Version information.

PARAMETERS

-out-dir
    Directory to write downloaded and manipulated files to. ~16GB is required during processing. Stores download in a sub tmp directory, then creates subdirectories 1000genomesloci and impute, alongside impute.info in the specified directory before deleting <your-dir>/tmp Final output is ~7.6GB.

-url
    URL to download impute files from. Default is [https://mathgen.stats.ox.ac.uk/impute/] Files downloaded are: ALL_1000G_phase1integrated_v3_annotated_legends.tgz ALL_1000G_phase1integrated_v3_impute.tgz

-download-version
    version name in the download files. Default is v3.

-version
    Print version information.

-help
    Print a brief help message and exits.

-man
    Prints the manual page and exits.

DESCRIPTION
CN_to_VCF.pl will attempt convert the input segmented file into VCF copy number format.